Test3

The VisualEditor extension allows for editing pages as rich content. There is also a project of the same name aiming to create a reliable rich-text editor for the Web and for MediaWiki.

The VisualEditor extension relies on the separate nodeJS-based Parsoid parser service that needs to be installed and enabled in order to edit pages with it.

Contents 1 User guide 2 Download 3 Skin compatibility 4 Setting up VisualEditor 4.1 Set up a Parsoid service 4.2 Basic configuration for MediaWiki-VisualEditor 4.2.1 Changing active namespaces 4.2.2 Linking with Parsoid 4.2.2.1 Switching between Wikitext Editing and VisualEditor 4.2.2.2 Servers with multiple virtual sites 4.2.2.3 Linking with Parsoid in private wikis 4.2.2.3.1 Forwarding Cookies to Parsoid 4.2.2.3.2 Parsoid Authentication Without Forwarding Cookies 4.2.2.4 Parsoid over HTTPS 4.2.3 Parsoid on Windows and other systems 4.2.4 Setting VisualEditor up on shared hosting 4.3 Quick configuration guide 5 Complete list of configuration options 5.1 Old configuration parameters 5.2 Related configuration parameters 6 Integration of “2017 wikitext editor” 7 Expanding visual editor 8 Troubleshooting 9 References User guide See Help:VisualEditor/User guide.

Download For the General User: If you're using the latest stable version of MediaWiki you will need to download the VisualEditor-MediaWiki extension from the ExtensionDistributor page.

For the Advanced User:

The following download instructions are for use with the latest nightly build of MediaWiki only.

cd extensions git clone https://gerrit.wikimedia.org/r/mediawiki/extensions/VisualEditor.git cd VisualEditor git submodule update –init Note Note:

VisualEditor-MediaWiki's master branch contains the latest code, as used at Wikimedia. This code is potentially slightly buggy or unstable, but is likely to have fewer bugs and more features than old builds. The master branch requires alpha builds of MediaWiki (currently, 1.31-wmf.20) and will not work with the older, official releases of MediaWiki like 1.30.0; for that, use the REL1_30 branch (command: git clone -b REL1_30 https://gerrit.wikimedia.org/r/mediawiki/extensions/VisualEditor.git). The git submodule update –init command is vital, as MediaWiki-VisualEditor needs the core VisualEditor submodule to work. If you do not use this command, VisualEditor will fail to work. If you cannot use git (e.g. you are in an air-gapped installation), you can download a snapshot of VisualEditor-MediaWiki for master or for a release version of MediaWiki from the ExtensionDistributor page. After you've got the code, save it into the extensions/VisualEditor directory of your wiki.

Skin compatibility MediaWiki version: ≤ 1.28 VisualEditor is known to be compatible with the following skins:

Vector MonoBook Apex Minerva Neue Minerva (was part of MobileFrontend) Other skins are not officially supported, but it should be compatible with any skin that uses the required HTML structure – see VisualEditor/Skin requirements. Some fiddling with skin stylesheets might be necessary to make everything look nice. It will load on any skin if it matches the feature detection.

Print/export
QR Code
QR Code test3 (generated for current page)